package com.ekexiu.console.system.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import javax.sql.DataSource;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;

@Path("/test")
public class TestService {

	@Autowrie("dataSource2")
	private DataSource ds;

	public DataSource getDs() {
		return ds;
	}

	public void setDs(DataSource ds) {
		this.ds = ds;
	}

	@Get
	@Path
	public Object get() throws SQLException {
		Connection con = ds.getConnection();
		try {

			PreparedStatement ps = con.prepareStatement("SELECT ARTICLE_TITLE FROM ARTICLE");
			try {
				ResultSet rs = ps.executeQuery();
				try {
					List<String> list = new ArrayList<String>();
					while (rs.next()) {
						list.add(rs.getString(1));
					}
					return list;
				} finally {
					rs.close();
				}
			} finally {
				ps.close();
			}

		} finally {
			con.close();
		}
	}
}
